# License Notice

## Sharenet License Information

This project, Sharenet, is licensed under the **Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License** (CC-BY-NC-SA-4.0).

## License Details

- **Full License Text**: See [LICENSE.md](LICENSE.md) for the complete license text
- **License URL**: https://creativecommons.org/licenses/by-nc-sa/4.0/
- **SPDX Identifier**: CC-BY-NC-SA-4.0

## What This License Means

### You are free to:
- **Share**: Copy and redistribute the material in any medium or format
- **Adapt**: Remix, transform, and build upon the material
- **Attribution**: You must give appropriate credit, provide a link to the license, and indicate if changes were made

### Under the following terms:
- **NonCommercial**: You may not use the material for commercial purposes
- **ShareAlike**: If you remix, transform, or build upon the material, you must distribute your contributions under the same license as the original

## Copyright Information

- **Copyright Holder**: Continuist <continuist02@gmail.com>
- **Year**: 2024
- **Project**: Sharenet

## License Headers

All source files in this project include license headers that reference this license. The headers follow this format:

### For Rust files:
```rust
/*
 * This file is part of Sharenet.
 * 
 * Sharenet is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 * 
 * You may obtain a copy of the license at:
 * https://creativecommons.org/licenses/by-nc-sa/4.0/
 * 
 * Copyright (c) 2024 Continuist <continuist02@gmail.com>
 */
```

### For TypeScript/JavaScript files:
```typescript
/**
 * This file is part of Sharenet.
 * 
 * Sharenet is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 * 
 * You may obtain a copy of the license at:
 * https://creativecommons.org/licenses/by-nc-sa/4.0/
 * 
 * Copyright (c) 2024 Continuist <continuist02@gmail.com>
 */
```

## Package Configuration

### Backend (Rust)
- **Cargo.toml**: `license = "CC-BY-NC-SA-4.0"`

### Frontend (Node.js)
- **package.json**: `"license": "CC-BY-NC-SA-4.0"`

## Compliance

To comply with this license when using, modifying, or distributing this software:

1. **Attribution**: Always include the copyright notice and license reference
2. **Non-Commercial Use**: Do not use for commercial purposes without permission
3. **Share Alike**: If you create derivatives, license them under the same terms
4. **License Link**: Include a link to the full license text

## Questions

If you have questions about the license or need permission for commercial use, please contact:
- **Email**: continuist02@gmail.com

## Third-Party Dependencies

This project includes third-party dependencies that are licensed under their own terms. Please refer to the respective license files for each dependency:

- **Backend Dependencies**: See `backend/Cargo.lock` for dependency licenses
- **Frontend Dependencies**: See `frontend/package-lock.json` for dependency licenses

The CC-BY-NC-SA-4.0 license applies only to the original Sharenet codebase, not to third-party dependencies. 